	.file	"annotate_rwlock.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.type	VALGRIND_PRINTF, @function
VALGRIND_PRINTF:
.LFB0:
	.file 1 "../../include/valgrind.h"
	.loc 1 3715 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$48, %esp
	.loc 1 3725 0
	leal	12(%ebp), %eax
	movl	%eax, -8(%ebp)
.LBB2:
	.loc 1 3733 0
	movl	$5123, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	leal	-8(%ebp), %eax
	movl	%eax, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 3733 "../../include/valgrind.h" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE2:
	movl	%eax, -4(%ebp)
	.loc 1 3740 0
	movl	-4(%ebp), %eax
	.loc 1 3742 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	VALGRIND_PRINTF, .-VALGRIND_PRINTF
	.type	VALGRIND_PRINTF_BACKTRACE, @function
VALGRIND_PRINTF_BACKTRACE:
.LFB1:
	.loc 1 3753 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$48, %esp
	.loc 1 3763 0
	leal	12(%ebp), %eax
	movl	%eax, -8(%ebp)
.LBB3:
	.loc 1 3771 0
	movl	$5124, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	leal	-8(%ebp), %eax
	movl	%eax, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 3771 "../../include/valgrind.h" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE3:
	movl	%eax, -4(%ebp)
	.loc 1 3778 0
	movl	-4(%ebp), %eax
	.loc 1 3780 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	VALGRIND_PRINTF_BACKTRACE, .-VALGRIND_PRINTF_BACKTRACE
	.local	s_rwlock
	.comm	s_rwlock,12,4
	.local	s_counter
	.comm	s_counter,4,4
	.type	rwlock_init, @function
rwlock_init:
.LFB2:
	.file 2 "annotate_rwlock.c"
	.loc 2 39 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$64, %esp
.LBB4:
	.loc 2 40 0
	movl	$1146224642, -24(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -20(%ebp)
	movl	$12, -16(%ebp)
	movl	$0, -12(%ebp)
	movl	$0, -8(%ebp)
	movl	$0, -4(%ebp)
	leal	-24(%ebp), %eax
	movl	$0, %edx
#APP
# 40 "annotate_rwlock.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -28(%ebp)
	movl	-28(%ebp), %eax
.LBE4:
	.loc 2 41 0
	movl	8(%ebp), %eax
	movl	$0, (%eax)
	.loc 2 42 0
	movl	8(%ebp), %eax
	movl	$0, 4(%eax)
	.loc 2 43 0
	movl	8(%ebp), %eax
	movl	$0, 8(%eax)
.LBB5:
	.loc 2 44 0
	movl	$1212612878, -52(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -48(%ebp)
	movl	$0, -44(%ebp)
	movl	$0, -40(%ebp)
	movl	$0, -36(%ebp)
	movl	$0, -32(%ebp)
	leal	-52(%ebp), %eax
	movl	$0, %edx
#APP
# 44 "annotate_rwlock.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -56(%ebp)
	movl	-56(%ebp), %eax
.LBE5:
	.loc 2 45 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	rwlock_init, .-rwlock_init
	.section	.rodata
.LC0:
	.string	"annotate_rwlock.c"
.LC1:
	.string	"p->locked == 0"
.LC2:
	.string	"p->writer_count == 0"
.LC3:
	.string	"p->reader_count == 0"
	.text
	.type	rwlock_destroy, @function
rwlock_destroy:
.LFB3:
	.loc 2 48 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$56, %esp
.LBB6:
	.loc 2 49 0
	movl	$1212612879, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	movl	$0, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 49 "annotate_rwlock.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE6:
	.loc 2 50 0
	movl	8(%ebp), %eax
	movl	(%eax), %eax
	testl	%eax, %eax
	je	.L8
	movl	$__PRETTY_FUNCTION__.3212, 12(%esp)
	movl	$50, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC1, (%esp)
	call	__assert_fail
.L8:
	.loc 2 51 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	je	.L9
	movl	$__PRETTY_FUNCTION__.3212, 12(%esp)
	movl	$51, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC2, (%esp)
	call	__assert_fail
.L9:
	.loc 2 52 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	je	.L11
	movl	$__PRETTY_FUNCTION__.3212, 12(%esp)
	movl	$52, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC3, (%esp)
	call	__assert_fail
.L11:
	.loc 2 53 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	rwlock_destroy, .-rwlock_destroy
	.section	.rodata
.LC4:
	.string	"p->reader_count >= 0"
.LC5:
	.string	"p->writer_count >= 0"
	.align 4
.LC6:
	.string	"p->reader_count == 0 || p->writer_count == 0"
	.text
	.type	rwlock_rdlock, @function
rwlock_rdlock:
.LFB4:
	.loc 2 56 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$56, %esp
.L13:
	.loc 2 59 0
	movl	8(%ebp), %edx
	movl	$0, %eax
	movl	$1, %ecx
	lock cmpxchgl	%ecx, (%edx)
	cmpl	$1, %eax
	je	.L13
	.loc 2 61 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	je	.L21
.L14:
	.loc 2 67 0
	call	pthread_yield
	.loc 2 69 0
	movl	8(%ebp), %eax
	movl	$1, %edx
	negl	%edx
	lock addl	%edx, (%eax)
	.loc 2 70 0
	jmp	.L13
.L21:
	.loc 2 62 0
	nop
.L20:
	.loc 2 71 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	leal	1(%eax), %edx
	movl	8(%ebp), %eax
	movl	%edx, 8(%eax)
	.loc 2 72 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jns	.L16
	movl	$__PRETTY_FUNCTION__.3231, 12(%esp)
	movl	$72, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC4, (%esp)
	call	__assert_fail
.L16:
	.loc 2 73 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	jns	.L17
	movl	$__PRETTY_FUNCTION__.3231, 12(%esp)
	movl	$73, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC5, (%esp)
	call	__assert_fail
.L17:
	.loc 2 74 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	je	.L18
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	je	.L18
	movl	$__PRETTY_FUNCTION__.3231, 12(%esp)
	movl	$74, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L18:
	.loc 2 75 0
	movl	8(%ebp), %eax
	movl	$1, %edx
	negl	%edx
	lock addl	%edx, (%eax)
.LBB7:
	.loc 2 76 0
	movl	$1212612881, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	movl	$0, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 76 "annotate_rwlock.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE7:
	.loc 2 77 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE4:
	.size	rwlock_rdlock, .-rwlock_rdlock
	.type	rwlock_wrlock, @function
rwlock_wrlock:
.LFB5:
	.loc 2 80 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$56, %esp
.L23:
	.loc 2 83 0
	movl	8(%ebp), %edx
	movl	$0, %eax
	movl	$1, %ecx
	lock cmpxchgl	%ecx, (%edx)
	cmpl	$1, %eax
	je	.L23
	.loc 2 85 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	je	.L31
.L24:
	.loc 2 91 0
	call	pthread_yield
	.loc 2 93 0
	movl	8(%ebp), %eax
	movl	$1, %edx
	negl	%edx
	lock addl	%edx, (%eax)
	.loc 2 94 0
	jmp	.L23
.L31:
	.loc 2 86 0
	nop
.L30:
	.loc 2 95 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	leal	1(%eax), %edx
	movl	8(%ebp), %eax
	movl	%edx, 4(%eax)
	.loc 2 96 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jns	.L26
	movl	$__PRETTY_FUNCTION__.3265, 12(%esp)
	movl	$96, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC4, (%esp)
	call	__assert_fail
.L26:
	.loc 2 97 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	jns	.L27
	movl	$__PRETTY_FUNCTION__.3265, 12(%esp)
	movl	$97, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC5, (%esp)
	call	__assert_fail
.L27:
	.loc 2 98 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	je	.L28
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	je	.L28
	movl	$__PRETTY_FUNCTION__.3265, 12(%esp)
	movl	$98, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L28:
	.loc 2 99 0
	movl	8(%ebp), %eax
	movl	$1, %edx
	negl	%edx
	lock addl	%edx, (%eax)
.LBB8:
	.loc 2 100 0
	movl	$1212612881, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	movl	$1, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 100 "annotate_rwlock.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
.LBE8:
	.loc 2 101 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE5:
	.size	rwlock_wrlock, .-rwlock_wrlock
	.type	rwlock_unlock, @function
rwlock_unlock:
.LFB6:
	.loc 2 104 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$88, %esp
.L33:
	.loc 2 105 0
	movl	8(%ebp), %edx
	movl	$0, %eax
	movl	$1, %ecx
	lock cmpxchgl	%ecx, (%edx)
	cmpl	$1, %eax
	je	.L33
	.loc 2 107 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jle	.L34
	.loc 2 109 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	leal	-1(%eax), %edx
	movl	8(%ebp), %eax
	movl	%edx, 8(%eax)
.LBB9:
	.loc 2 110 0
	movl	$1212612882, -32(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -28(%ebp)
	movl	$0, -24(%ebp)
	movl	$0, -20(%ebp)
	movl	$0, -16(%ebp)
	movl	$0, -12(%ebp)
	leal	-32(%ebp), %eax
	movl	$0, %edx
#APP
# 110 "annotate_rwlock.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -36(%ebp)
	movl	-36(%ebp), %eax
	jmp	.L35
.L34:
.LBE9:
	.loc 2 114 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	leal	-1(%eax), %edx
	movl	8(%ebp), %eax
	movl	%edx, 4(%eax)
.LBB10:
	.loc 2 115 0
	movl	$1212612882, -60(%ebp)
	movl	8(%ebp), %eax
	movl	%eax, -56(%ebp)
	movl	$1, -52(%ebp)
	movl	$0, -48(%ebp)
	movl	$0, -44(%ebp)
	movl	$0, -40(%ebp)
	leal	-60(%ebp), %eax
	movl	$0, %edx
#APP
# 115 "annotate_rwlock.c" 1
	roll $3,  %edi ; roll $13, %edi
	roll $29, %edi ; roll $19, %edi
	xchgl %ebx,%ebx
# 0 "" 2
#NO_APP
	movl	%edx, -64(%ebp)
	movl	-64(%ebp), %eax
.L35:
.LBE10:
	.loc 2 117 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	jns	.L36
	movl	$__PRETTY_FUNCTION__.3303, 12(%esp)
	movl	$117, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC4, (%esp)
	call	__assert_fail
.L36:
	.loc 2 118 0
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	jns	.L37
	movl	$__PRETTY_FUNCTION__.3303, 12(%esp)
	movl	$118, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC5, (%esp)
	call	__assert_fail
.L37:
	.loc 2 119 0
	movl	8(%ebp), %eax
	movl	8(%eax), %eax
	testl	%eax, %eax
	je	.L38
	movl	8(%ebp), %eax
	movl	4(%eax), %eax
	testl	%eax, %eax
	je	.L38
	movl	$__PRETTY_FUNCTION__.3303, 12(%esp)
	movl	$119, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L38:
	.loc 2 120 0
	movl	8(%ebp), %eax
	movl	$1, %edx
	negl	%edx
	lock addl	%edx, (%eax)
	.loc 2 121 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE6:
	.size	rwlock_unlock, .-rwlock_unlock
	.type	thread_func, @function
thread_func:
.LFB7:
	.loc 2 124 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 2 126 0
	movl	$0, -12(%ebp)
	.loc 2 128 0
	movl	$0, -16(%ebp)
	jmp	.L41
.L42:
	.loc 2 130 0
	movl	$s_rwlock, (%esp)
	call	rwlock_rdlock
	.loc 2 131 0
	movl	s_counter, %eax
	addl	%eax, -12(%ebp)
	.loc 2 132 0
	movl	$s_rwlock, (%esp)
	call	rwlock_unlock
	.loc 2 133 0
	movl	$s_rwlock, (%esp)
	call	rwlock_wrlock
	.loc 2 134 0
	movl	s_counter, %eax
	addl	$1, %eax
	movl	%eax, s_counter
	.loc 2 135 0
	movl	$s_rwlock, (%esp)
	call	rwlock_unlock
	.loc 2 128 0
	addl	$1, -16(%ebp)
.L41:
	cmpl	$999, -16(%ebp)
	jle	.L42
	.loc 2 138 0
	movl	$0, %eax
	.loc 2 139 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE7:
	.size	thread_func, .-thread_func
	.section	.rodata
.LC7:
	.string	"Finished.\n"
	.text
.globl main
	.type	main, @function
main:
.LFB8:
	.loc 2 142 0
	.cfi_startproc
	leal	4(%esp), %ecx
	.cfi_def_cfa 1, 0
	andl	$-16, %esp
	pushl	-4(%ecx)
	pushl	%ebp
	movl	%esp, %ebp
	.cfi_escape 0x10,0x5,0x2,0x75,0x0
	pushl	%edi
	pushl	%esi
	pushl	%ebx
	pushl	%ecx
	.cfi_escape 0xf,0x3,0x75,0x70,0x6
	.cfi_escape 0x10,0x3,0x2,0x75,0x74
	.cfi_escape 0x10,0x6,0x2,0x75,0x78
	.cfi_escape 0x10,0x7,0x2,0x75,0x7c
	subl	$72, %esp
	.loc 2 142 0
	movl	%esp, %eax
	movl	%eax, -44(%ebp)
	.loc 2 143 0
	movl	$10, -32(%ebp)
	.loc 2 144 0
	movl	-32(%ebp), %eax
	subl	$1, %eax
	movl	%eax, -40(%ebp)
	movl	-32(%ebp), %eax
	movl	$0, %edx
	movl	%eax, %ecx
	andb	$255, %ch
	movl	%edx, %ebx
	andl	$15, %ebx
	movl	%ecx, %eax
	movl	%ebx, %edx
	shldl	$5, %eax, %edx
	sall	$5, %eax
	movl	%eax, %esi
	andl	$-1, %esi
	movl	%edx, %edi
	andl	$15, %edi
	movl	%esi, %eax
	movl	%edi, %edx
	movl	-32(%ebp), %eax
	movl	$0, %edx
	movl	%eax, %ecx
	andb	$255, %ch
	movl	%ecx, -56(%ebp)
	movl	%edx, %ecx
	andl	$15, %ecx
	movl	%ecx, -52(%ebp)
	movl	-56(%ebp), %eax
	movl	-52(%ebp), %edx
	shldl	$5, %eax, %edx
	sall	$5, %eax
	movl	%eax, %ecx
	andb	$255, %ch
	movl	%ecx, -64(%ebp)
	movl	%edx, %ecx
	andl	$15, %ecx
	movl	%ecx, -60(%ebp)
	movl	-64(%ebp), %eax
	movl	-60(%ebp), %edx
	movl	-32(%ebp), %eax
	sall	$2, %eax
	addl	$15, %eax
	addl	$15, %eax
	shrl	$4, %eax
	sall	$4, %eax
	subl	%eax, %esp
	leal	16(%esp), %eax
	addl	$15, %eax
	shrl	$4, %eax
	sall	$4, %eax
	movl	%eax, -36(%ebp)
	.loc 2 147 0
	movl	$s_rwlock, (%esp)
	call	rwlock_init
	.loc 2 148 0
	movl	$0, -28(%ebp)
	jmp	.L45
.L46:
	.loc 2 150 0
	movl	-36(%ebp), %eax
	movl	-28(%ebp), %edx
	sall	$2, %edx
	addl	%edx, %eax
	movl	$0, 12(%esp)
	movl	$thread_func, 8(%esp)
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_create
	.loc 2 148 0
	addl	$1, -28(%ebp)
.L45:
	movl	-28(%ebp), %eax
	cmpl	-32(%ebp), %eax
	jl	.L46
	.loc 2 153 0
	movl	$0, -28(%ebp)
	jmp	.L47
.L48:
	.loc 2 155 0
	movl	-28(%ebp), %edx
	movl	-36(%ebp), %eax
	movl	(%eax,%edx,4), %eax
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	pthread_join
	.loc 2 153 0
	addl	$1, -28(%ebp)
.L47:
	movl	-28(%ebp), %eax
	cmpl	-32(%ebp), %eax
	jl	.L48
	.loc 2 157 0
	movl	$s_rwlock, (%esp)
	call	rwlock_destroy
	.loc 2 159 0
	movl	stderr, %eax
	movl	%eax, %edx
	movl	$.LC7, %eax
	movl	%edx, 12(%esp)
	movl	$10, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	fwrite
	.loc 2 161 0
	movl	$0, %eax
	movl	-44(%ebp), %esp
	.loc 2 162 0
	leal	-16(%ebp), %esp
	addl	$0, %esp
	popl	%ecx
	.cfi_def_cfa 1, 0
	popl	%ebx
	.cfi_restore 3
	popl	%esi
	.cfi_restore 6
	popl	%edi
	.cfi_restore 7
	popl	%ebp
	.cfi_restore 5
	leal	-4(%ecx), %esp
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE8:
	.size	main, .-main
	.section	.rodata
	.type	__PRETTY_FUNCTION__.3303, @object
	.size	__PRETTY_FUNCTION__.3303, 14
__PRETTY_FUNCTION__.3303:
	.string	"rwlock_unlock"
	.type	__PRETTY_FUNCTION__.3265, @object
	.size	__PRETTY_FUNCTION__.3265, 14
__PRETTY_FUNCTION__.3265:
	.string	"rwlock_wrlock"
	.type	__PRETTY_FUNCTION__.3231, @object
	.size	__PRETTY_FUNCTION__.3231, 14
__PRETTY_FUNCTION__.3231:
	.string	"rwlock_rdlock"
	.type	__PRETTY_FUNCTION__.3212, @object
	.size	__PRETTY_FUNCTION__.3212, 15
__PRETTY_FUNCTION__.3212:
	.string	"rwlock_destroy"
	.text
.Letext0:
	.file 3 "/usr/include/bits/types.h"
	.file 4 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.file 5 "/usr/include/bits/pthreadtypes.h"
	.file 6 "/usr/include/libio.h"
	.file 7 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stdarg.h"
	.file 8 "/usr/include/stdio.h"
	.file 9 "../../drd/drd.h"
	.section	.debug_info
	.long	0x908
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF122
	.byte	0x1
	.long	.LASF123
	.long	.LASF124
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.byte	0x1
	.byte	0x8
	.long	.LASF0
	.uleb128 0x2
	.byte	0x2
	.byte	0x7
	.long	.LASF1
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF2
	.uleb128 0x2
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x2
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x2
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x2
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x4
	.long	.LASF8
	.byte	0x3
	.byte	0x38
	.long	0x56
	.uleb128 0x4
	.long	.LASF9
	.byte	0x3
	.byte	0x8d
	.long	0x7a
	.uleb128 0x2
	.byte	0x4
	.byte	0x5
	.long	.LASF10
	.uleb128 0x4
	.long	.LASF11
	.byte	0x3
	.byte	0x8e
	.long	0x64
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x94
	.uleb128 0x2
	.byte	0x1
	.byte	0x6
	.long	.LASF12
	.uleb128 0x4
	.long	.LASF13
	.byte	0x4
	.byte	0xd3
	.long	0x33
	.uleb128 0x6
	.byte	0x4
	.long	0xac
	.uleb128 0x7
	.long	0x94
	.uleb128 0x7
	.long	0x4f
	.uleb128 0x4
	.long	.LASF14
	.byte	0x5
	.byte	0x24
	.long	0x3a
	.uleb128 0x8
	.long	0x4f
	.uleb128 0x9
	.long	.LASF45
	.byte	0x94
	.byte	0x6
	.value	0x10f
	.long	0x25a
	.uleb128 0xa
	.long	.LASF15
	.byte	0x6
	.value	0x110
	.long	0x4f
	.sleb128 0
	.uleb128 0xa
	.long	.LASF16
	.byte	0x6
	.value	0x115
	.long	0x8e
	.sleb128 4
	.uleb128 0xa
	.long	.LASF17
	.byte	0x6
	.value	0x116
	.long	0x8e
	.sleb128 8
	.uleb128 0xa
	.long	.LASF18
	.byte	0x6
	.value	0x117
	.long	0x8e
	.sleb128 12
	.uleb128 0xa
	.long	.LASF19
	.byte	0x6
	.value	0x118
	.long	0x8e
	.sleb128 16
	.uleb128 0xa
	.long	.LASF20
	.byte	0x6
	.value	0x119
	.long	0x8e
	.sleb128 20
	.uleb128 0xa
	.long	.LASF21
	.byte	0x6
	.value	0x11a
	.long	0x8e
	.sleb128 24
	.uleb128 0xa
	.long	.LASF22
	.byte	0x6
	.value	0x11b
	.long	0x8e
	.sleb128 28
	.uleb128 0xa
	.long	.LASF23
	.byte	0x6
	.value	0x11c
	.long	0x8e
	.sleb128 32
	.uleb128 0xa
	.long	.LASF24
	.byte	0x6
	.value	0x11e
	.long	0x8e
	.sleb128 36
	.uleb128 0xa
	.long	.LASF25
	.byte	0x6
	.value	0x11f
	.long	0x8e
	.sleb128 40
	.uleb128 0xa
	.long	.LASF26
	.byte	0x6
	.value	0x120
	.long	0x8e
	.sleb128 44
	.uleb128 0xa
	.long	.LASF27
	.byte	0x6
	.value	0x122
	.long	0x2a7
	.sleb128 48
	.uleb128 0xa
	.long	.LASF28
	.byte	0x6
	.value	0x124
	.long	0x2ad
	.sleb128 52
	.uleb128 0xa
	.long	.LASF29
	.byte	0x6
	.value	0x126
	.long	0x4f
	.sleb128 56
	.uleb128 0xa
	.long	.LASF30
	.byte	0x6
	.value	0x12a
	.long	0x4f
	.sleb128 60
	.uleb128 0xa
	.long	.LASF31
	.byte	0x6
	.value	0x12c
	.long	0x6f
	.sleb128 64
	.uleb128 0xa
	.long	.LASF32
	.byte	0x6
	.value	0x130
	.long	0x2c
	.sleb128 68
	.uleb128 0xa
	.long	.LASF33
	.byte	0x6
	.value	0x131
	.long	0x41
	.sleb128 70
	.uleb128 0xa
	.long	.LASF34
	.byte	0x6
	.value	0x132
	.long	0x2b3
	.sleb128 71
	.uleb128 0xa
	.long	.LASF35
	.byte	0x6
	.value	0x136
	.long	0x2c3
	.sleb128 72
	.uleb128 0xa
	.long	.LASF36
	.byte	0x6
	.value	0x13f
	.long	0x81
	.sleb128 76
	.uleb128 0xa
	.long	.LASF37
	.byte	0x6
	.value	0x148
	.long	0x8c
	.sleb128 84
	.uleb128 0xa
	.long	.LASF38
	.byte	0x6
	.value	0x149
	.long	0x8c
	.sleb128 88
	.uleb128 0xa
	.long	.LASF39
	.byte	0x6
	.value	0x14a
	.long	0x8c
	.sleb128 92
	.uleb128 0xa
	.long	.LASF40
	.byte	0x6
	.value	0x14b
	.long	0x8c
	.sleb128 96
	.uleb128 0xa
	.long	.LASF41
	.byte	0x6
	.value	0x14c
	.long	0x9b
	.sleb128 100
	.uleb128 0xa
	.long	.LASF42
	.byte	0x6
	.value	0x14e
	.long	0x4f
	.sleb128 104
	.uleb128 0xa
	.long	.LASF43
	.byte	0x6
	.value	0x150
	.long	0x2c9
	.sleb128 108
	.byte	0x0
	.uleb128 0x4
	.long	.LASF44
	.byte	0x7
	.byte	0x28
	.long	0x265
	.uleb128 0xb
	.byte	0x4
	.long	.LASF125
	.long	0x94
	.uleb128 0xc
	.long	.LASF126
	.byte	0x6
	.byte	0xb4
	.uleb128 0xd
	.long	.LASF46
	.byte	0xc
	.byte	0x6
	.byte	0xba
	.long	0x2a7
	.uleb128 0xe
	.long	.LASF47
	.byte	0x6
	.byte	0xbb
	.long	0x2a7
	.sleb128 0
	.uleb128 0xe
	.long	.LASF48
	.byte	0x6
	.byte	0xbc
	.long	0x2ad
	.sleb128 4
	.uleb128 0xe
	.long	.LASF49
	.byte	0x6
	.byte	0xc0
	.long	0x4f
	.sleb128 8
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x276
	.uleb128 0x6
	.byte	0x4
	.long	0xc6
	.uleb128 0xf
	.long	0x94
	.long	0x2c3
	.uleb128 0x10
	.long	0x33
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x26f
	.uleb128 0xf
	.long	0x94
	.long	0x2d9
	.uleb128 0x10
	.long	0x33
	.byte	0x27
	.byte	0x0
	.uleb128 0x4
	.long	.LASF50
	.byte	0x8
	.byte	0x50
	.long	0x25a
	.uleb128 0x11
	.byte	0x4
	.byte	0x1
	.value	0xe16
	.long	0x3b9
	.uleb128 0x12
	.long	.LASF51
	.sleb128 4097
	.uleb128 0x12
	.long	.LASF52
	.sleb128 4098
	.uleb128 0x12
	.long	.LASF53
	.sleb128 4353
	.uleb128 0x12
	.long	.LASF54
	.sleb128 4354
	.uleb128 0x12
	.long	.LASF55
	.sleb128 4355
	.uleb128 0x12
	.long	.LASF56
	.sleb128 4356
	.uleb128 0x12
	.long	.LASF57
	.sleb128 4609
	.uleb128 0x12
	.long	.LASF58
	.sleb128 4610
	.uleb128 0x12
	.long	.LASF59
	.sleb128 4865
	.uleb128 0x12
	.long	.LASF60
	.sleb128 4875
	.uleb128 0x12
	.long	.LASF61
	.sleb128 4866
	.uleb128 0x12
	.long	.LASF62
	.sleb128 4867
	.uleb128 0x12
	.long	.LASF63
	.sleb128 4868
	.uleb128 0x12
	.long	.LASF64
	.sleb128 4869
	.uleb128 0x12
	.long	.LASF65
	.sleb128 4870
	.uleb128 0x12
	.long	.LASF66
	.sleb128 4871
	.uleb128 0x12
	.long	.LASF67
	.sleb128 4872
	.uleb128 0x12
	.long	.LASF68
	.sleb128 4873
	.uleb128 0x12
	.long	.LASF69
	.sleb128 4874
	.uleb128 0x12
	.long	.LASF70
	.sleb128 5121
	.uleb128 0x12
	.long	.LASF71
	.sleb128 5122
	.uleb128 0x12
	.long	.LASF72
	.sleb128 5123
	.uleb128 0x12
	.long	.LASF73
	.sleb128 5124
	.uleb128 0x12
	.long	.LASF74
	.sleb128 5377
	.uleb128 0x12
	.long	.LASF75
	.sleb128 5378
	.uleb128 0x12
	.long	.LASF76
	.sleb128 5379
	.uleb128 0x12
	.long	.LASF77
	.sleb128 5633
	.uleb128 0x12
	.long	.LASF78
	.sleb128 5889
	.uleb128 0x12
	.long	.LASF79
	.sleb128 6145
	.byte	0x0
	.uleb128 0x11
	.byte	0x4
	.byte	0x9
	.value	0x190
	.long	0x477
	.uleb128 0x12
	.long	.LASF80
	.sleb128 1212612608
	.uleb128 0x12
	.long	.LASF81
	.sleb128 1146224640
	.uleb128 0x12
	.long	.LASF82
	.sleb128 1146224641
	.uleb128 0x12
	.long	.LASF83
	.sleb128 1146224642
	.uleb128 0x12
	.long	.LASF84
	.sleb128 1146224643
	.uleb128 0x12
	.long	.LASF85
	.sleb128 1146224644
	.uleb128 0x12
	.long	.LASF86
	.sleb128 1146224645
	.uleb128 0x12
	.long	.LASF87
	.sleb128 1146224646
	.uleb128 0x12
	.long	.LASF88
	.sleb128 1146224647
	.uleb128 0x12
	.long	.LASF89
	.sleb128 1146224648
	.uleb128 0x12
	.long	.LASF90
	.sleb128 1146224649
	.uleb128 0x12
	.long	.LASF91
	.sleb128 1212612878
	.uleb128 0x12
	.long	.LASF92
	.sleb128 1212612879
	.uleb128 0x12
	.long	.LASF93
	.sleb128 1212612881
	.uleb128 0x12
	.long	.LASF94
	.sleb128 1212612882
	.uleb128 0x12
	.long	.LASF95
	.sleb128 1212612896
	.uleb128 0x12
	.long	.LASF96
	.sleb128 1212612897
	.uleb128 0x12
	.long	.LASF97
	.sleb128 1212612898
	.byte	0x0
	.uleb128 0x13
	.byte	0xc
	.byte	0x2
	.byte	0x1b
	.long	0x4a4
	.uleb128 0xe
	.long	.LASF98
	.byte	0x2
	.byte	0x1c
	.long	0xc1
	.sleb128 0
	.uleb128 0xe
	.long	.LASF99
	.byte	0x2
	.byte	0x1d
	.long	0x4f
	.sleb128 4
	.uleb128 0xe
	.long	.LASF100
	.byte	0x2
	.byte	0x1e
	.long	0x4f
	.sleb128 8
	.byte	0x0
	.uleb128 0x4
	.long	.LASF101
	.byte	0x2
	.byte	0x1f
	.long	0x477
	.uleb128 0x14
	.long	.LASF106
	.byte	0x1
	.value	0xe82
	.byte	0x1
	.long	0x4f
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0x521
	.uleb128 0x15
	.long	.LASF108
	.byte	0x1
	.value	0xe82
	.long	0xa6
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x16
	.uleb128 0x17
	.long	.LASF102
	.byte	0x1
	.value	0xe8a
	.long	0x3a
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.uleb128 0x17
	.long	.LASF103
	.byte	0x1
	.value	0xe8c
	.long	0x2d9
	.byte	0x2
	.byte	0x91
	.sleb128 -16
	.uleb128 0x18
	.long	.LBB2
	.long	.LBE2
	.uleb128 0x17
	.long	.LASF104
	.byte	0x1
	.value	0xe95
	.long	0x531
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x17
	.long	.LASF105
	.byte	0x1
	.value	0xe95
	.long	0x536
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.long	0x33
	.long	0x531
	.uleb128 0x10
	.long	0x33
	.byte	0x5
	.byte	0x0
	.uleb128 0x8
	.long	0x521
	.uleb128 0x8
	.long	0x33
	.uleb128 0x14
	.long	.LASF107
	.byte	0x1
	.value	0xea8
	.byte	0x1
	.long	0x4f
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x5ad
	.uleb128 0x15
	.long	.LASF108
	.byte	0x1
	.value	0xea8
	.long	0xa6
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x16
	.uleb128 0x17
	.long	.LASF102
	.byte	0x1
	.value	0xeb0
	.long	0x3a
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.uleb128 0x17
	.long	.LASF103
	.byte	0x1
	.value	0xeb2
	.long	0x2d9
	.byte	0x2
	.byte	0x91
	.sleb128 -16
	.uleb128 0x18
	.long	.LBB3
	.long	.LBE3
	.uleb128 0x17
	.long	.LASF104
	.byte	0x1
	.value	0xebb
	.long	0x5ad
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x17
	.long	.LASF105
	.byte	0x1
	.value	0xebb
	.long	0x536
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.long	0x521
	.uleb128 0x19
	.long	.LASF109
	.byte	0x2
	.byte	0x26
	.byte	0x1
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.long	0x625
	.uleb128 0x1a
	.string	"p"
	.byte	0x2
	.byte	0x26
	.long	0x625
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1b
	.long	.LBB4
	.long	.LBE4
	.long	0x5fe
	.uleb128 0x1c
	.long	.LASF104
	.byte	0x2
	.byte	0x28
	.long	0x62b
	.byte	0x2
	.byte	0x91
	.sleb128 -32
	.uleb128 0x1c
	.long	.LASF105
	.byte	0x2
	.byte	0x28
	.long	0x536
	.byte	0x2
	.byte	0x91
	.sleb128 -36
	.byte	0x0
	.uleb128 0x18
	.long	.LBB5
	.long	.LBE5
	.uleb128 0x1c
	.long	.LASF104
	.byte	0x2
	.byte	0x2c
	.long	0x630
	.byte	0x2
	.byte	0x91
	.sleb128 -60
	.uleb128 0x1c
	.long	.LASF105
	.byte	0x2
	.byte	0x2c
	.long	0x536
	.byte	0x2
	.byte	0x91
	.sleb128 -64
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x4a4
	.uleb128 0x8
	.long	0x521
	.uleb128 0x8
	.long	0x521
	.uleb128 0x19
	.long	.LASF110
	.byte	0x2
	.byte	0x2f
	.byte	0x1
	.long	.LFB3
	.long	.LFE3
	.byte	0x1
	.byte	0x9c
	.long	0x68e
	.uleb128 0x1a
	.string	"p"
	.byte	0x2
	.byte	0x2f
	.long	0x625
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1d
	.long	.LASF112
	.long	0x69e
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.3212
	.uleb128 0x18
	.long	.LBB6
	.long	.LBE6
	.uleb128 0x1c
	.long	.LASF104
	.byte	0x2
	.byte	0x31
	.long	0x6a3
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x1c
	.long	.LASF105
	.byte	0x2
	.byte	0x31
	.long	0x536
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.long	0x94
	.long	0x69e
	.uleb128 0x10
	.long	0x33
	.byte	0xe
	.byte	0x0
	.uleb128 0x7
	.long	0x68e
	.uleb128 0x8
	.long	0x521
	.uleb128 0x19
	.long	.LASF111
	.byte	0x2
	.byte	0x37
	.byte	0x1
	.long	.LFB4
	.long	.LFE4
	.byte	0x1
	.byte	0x9c
	.long	0x701
	.uleb128 0x1a
	.string	"p"
	.byte	0x2
	.byte	0x37
	.long	0x625
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1d
	.long	.LASF112
	.long	0x711
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.3231
	.uleb128 0x18
	.long	.LBB7
	.long	.LBE7
	.uleb128 0x1c
	.long	.LASF104
	.byte	0x2
	.byte	0x4c
	.long	0x716
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x1c
	.long	.LASF105
	.byte	0x2
	.byte	0x4c
	.long	0x536
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.long	0x94
	.long	0x711
	.uleb128 0x10
	.long	0x33
	.byte	0xd
	.byte	0x0
	.uleb128 0x7
	.long	0x701
	.uleb128 0x8
	.long	0x521
	.uleb128 0x19
	.long	.LASF113
	.byte	0x2
	.byte	0x4f
	.byte	0x1
	.long	.LFB5
	.long	.LFE5
	.byte	0x1
	.byte	0x9c
	.long	0x774
	.uleb128 0x1a
	.string	"p"
	.byte	0x2
	.byte	0x4f
	.long	0x625
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1d
	.long	.LASF112
	.long	0x774
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.3265
	.uleb128 0x18
	.long	.LBB8
	.long	.LBE8
	.uleb128 0x1c
	.long	.LASF104
	.byte	0x2
	.byte	0x64
	.long	0x779
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x1c
	.long	.LASF105
	.byte	0x2
	.byte	0x64
	.long	0x536
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.long	0x701
	.uleb128 0x8
	.long	0x521
	.uleb128 0x19
	.long	.LASF114
	.byte	0x2
	.byte	0x67
	.byte	0x1
	.long	.LFB6
	.long	.LFE6
	.byte	0x1
	.byte	0x9c
	.long	0x803
	.uleb128 0x1a
	.string	"p"
	.byte	0x2
	.byte	0x67
	.long	0x625
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1d
	.long	.LASF112
	.long	0x803
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.3303
	.uleb128 0x1b
	.long	.LBB9
	.long	.LBE9
	.long	0x7da
	.uleb128 0x1c
	.long	.LASF104
	.byte	0x2
	.byte	0x6e
	.long	0x808
	.byte	0x2
	.byte	0x91
	.sleb128 -40
	.uleb128 0x1c
	.long	.LASF105
	.byte	0x2
	.byte	0x6e
	.long	0x536
	.byte	0x2
	.byte	0x91
	.sleb128 -44
	.byte	0x0
	.uleb128 0x18
	.long	.LBB10
	.long	.LBE10
	.uleb128 0x1c
	.long	.LASF104
	.byte	0x2
	.byte	0x73
	.long	0x80d
	.byte	0x3
	.byte	0x91
	.sleb128 -68
	.uleb128 0x1c
	.long	.LASF105
	.byte	0x2
	.byte	0x73
	.long	0x536
	.byte	0x3
	.byte	0x91
	.sleb128 -72
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.long	0x701
	.uleb128 0x8
	.long	0x521
	.uleb128 0x8
	.long	0x521
	.uleb128 0x1e
	.long	.LASF115
	.byte	0x2
	.byte	0x7b
	.byte	0x1
	.long	0x8c
	.long	.LFB7
	.long	.LFE7
	.byte	0x1
	.byte	0x9c
	.long	0x855
	.uleb128 0x1a
	.string	"arg"
	.byte	0x2
	.byte	0x7b
	.long	0x8c
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x1f
	.string	"i"
	.byte	0x2
	.byte	0x7d
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 -24
	.uleb128 0x1f
	.string	"sum"
	.byte	0x2
	.byte	0x7e
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.uleb128 0x20
	.byte	0x1
	.long	.LASF127
	.byte	0x2
	.byte	0x8d
	.byte	0x1
	.long	0x4f
	.long	.LFB8
	.long	.LFE8
	.byte	0x1
	.byte	0x9c
	.long	0x8b6
	.uleb128 0x21
	.long	.LASF116
	.byte	0x2
	.byte	0x8d
	.long	0x4f
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x21
	.long	.LASF117
	.byte	0x2
	.byte	0x8d
	.long	0x8b6
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x1c
	.long	.LASF118
	.byte	0x2
	.byte	0x8f
	.long	0xb1
	.byte	0x2
	.byte	0x75
	.sleb128 -32
	.uleb128 0x1f
	.string	"tid"
	.byte	0x2
	.byte	0x90
	.long	0x8bc
	.byte	0x3
	.byte	0x75
	.sleb128 -36
	.byte	0x6
	.uleb128 0x1f
	.string	"i"
	.byte	0x2
	.byte	0x91
	.long	0x4f
	.byte	0x2
	.byte	0x75
	.sleb128 -28
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x8e
	.uleb128 0xf
	.long	0xb6
	.long	0x8cf
	.uleb128 0x22
	.long	0x33
	.byte	0x3
	.byte	0x75
	.sleb128 -40
	.byte	0x6
	.byte	0x0
	.uleb128 0x23
	.long	.LASF121
	.byte	0x8
	.byte	0xa7
	.long	0x2ad
	.byte	0x1
	.byte	0x1
	.uleb128 0x1c
	.long	.LASF119
	.byte	0x2
	.byte	0x22
	.long	0x4a4
	.byte	0x5
	.byte	0x3
	.long	s_rwlock
	.uleb128 0x1c
	.long	.LASF120
	.byte	0x2
	.byte	0x23
	.long	0x4f
	.byte	0x5
	.byte	0x3
	.long	s_counter
	.uleb128 0x23
	.long	.LASF121
	.byte	0x8
	.byte	0xa7
	.long	0x2ad
	.byte	0x1
	.byte	0x1
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x35
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x13
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0xd
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x38
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x4
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0x28
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1c
	.uleb128 0xd
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0x13
	.byte	0x1
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x14
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x15
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x16
	.uleb128 0x18
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.uleb128 0x17
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0x5
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x18
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.byte	0x0
	.byte	0x0
	.uleb128 0x19
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1a
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1b
	.uleb128 0xb
	.byte	0x1
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1c
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1d
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x34
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x1e
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x1f
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x20
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x21
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x22
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x23
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3c
	.uleb128 0xc
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x17
	.value	0x2
	.long	.Ldebug_info0
	.long	0x90c
	.long	0x855
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0xa5
	.value	0x2
	.long	.Ldebug_info0
	.long	0x90c
	.long	0x64
	.string	"__quad_t"
	.long	0x6f
	.string	"__off_t"
	.long	0x81
	.string	"__off64_t"
	.long	0x9b
	.string	"size_t"
	.long	0xb6
	.string	"pthread_t"
	.long	0x25a
	.string	"__gnuc_va_list"
	.long	0x26f
	.string	"_IO_lock_t"
	.long	0x276
	.string	"_IO_marker"
	.long	0xc6
	.string	"_IO_FILE"
	.long	0x2d9
	.string	"va_list"
	.long	0x4a4
	.string	"rwlock_t"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF58:
	.string	"VG_USERREQ__GDB_MONITOR_COMMAND"
.LASF68:
	.string	"VG_USERREQ__MEMPOOL_CHANGE"
.LASF14:
	.string	"pthread_t"
.LASF34:
	.string	"_shortbuf"
.LASF126:
	.string	"_IO_lock_t"
.LASF121:
	.string	"stderr"
.LASF108:
	.string	"format"
.LASF23:
	.string	"_IO_buf_end"
.LASF89:
	.string	"VG_USERREQ__DRD_SET_THREAD_NAME"
.LASF94:
	.string	"VG_USERREQ__DRD_ANNOTATE_RWLOCK_RELEASED"
.LASF69:
	.string	"VG_USERREQ__MEMPOOL_EXISTS"
.LASF21:
	.string	"_IO_write_end"
.LASF2:
	.string	"unsigned int"
.LASF82:
	.string	"VG_USERREQ__DRD_GET_DRD_THREAD_ID"
.LASF92:
	.string	"VG_USERREQ__DRD_ANNOTATE_RWLOCK_DESTROY"
.LASF15:
	.string	"_flags"
.LASF105:
	.string	"_zzq_result"
.LASF79:
	.string	"VG_USERREQ__CHANGE_ERR_DISABLEMENT"
.LASF27:
	.string	"_markers"
.LASF70:
	.string	"VG_USERREQ__PRINTF"
.LASF72:
	.string	"VG_USERREQ__PRINTF_VALIST_BY_REF"
.LASF49:
	.string	"_pos"
.LASF81:
	.string	"VG_USERREQ__DRD_GET_VALGRIND_THREAD_ID"
.LASF26:
	.string	"_IO_save_end"
.LASF80:
	.string	"VG_USERREQ__DRD_CLEAN_MEMORY"
.LASF93:
	.string	"VG_USERREQ__DRD_ANNOTATE_RWLOCK_ACQUIRED"
.LASF83:
	.string	"VG_USERREQ__DRD_START_SUPPRESSION"
.LASF88:
	.string	"VG_USERREQ__DRD_RECORD_STORES"
.LASF7:
	.string	"long long unsigned int"
.LASF64:
	.string	"VG_USERREQ__MEMPOOL_ALLOC"
.LASF25:
	.string	"_IO_backup_base"
.LASF36:
	.string	"_offset"
.LASF95:
	.string	"VG_USERREQ__HELGRIND_ANNOTATION_UNIMP"
.LASF29:
	.string	"_fileno"
.LASF74:
	.string	"VG_USERREQ__STACK_REGISTER"
.LASF44:
	.string	"__gnuc_va_list"
.LASF13:
	.string	"size_t"
.LASF111:
	.string	"rwlock_rdlock"
.LASF123:
	.string	"annotate_rwlock.c"
.LASF85:
	.string	"VG_USERREQ__DRD_START_TRACE_ADDR"
.LASF18:
	.string	"_IO_read_base"
.LASF59:
	.string	"VG_USERREQ__MALLOCLIKE_BLOCK"
.LASF116:
	.string	"argc"
.LASF120:
	.string	"s_counter"
.LASF86:
	.string	"VG_USERREQ__DRD_STOP_TRACE_ADDR"
.LASF47:
	.string	"_next"
.LASF76:
	.string	"VG_USERREQ__STACK_CHANGE"
.LASF84:
	.string	"VG_USERREQ__DRD_FINISH_SUPPRESSION"
.LASF78:
	.string	"VG_USERREQ__MAP_IP_TO_SRCLOC"
.LASF12:
	.string	"char"
.LASF99:
	.string	"writer_count"
.LASF42:
	.string	"_mode"
.LASF100:
	.string	"reader_count"
.LASF57:
	.string	"VG_USERREQ__COUNT_ERRORS"
.LASF46:
	.string	"_IO_marker"
.LASF16:
	.string	"_IO_read_ptr"
.LASF98:
	.string	"locked"
.LASF50:
	.string	"va_list"
.LASF19:
	.string	"_IO_write_base"
.LASF6:
	.string	"long long int"
.LASF24:
	.string	"_IO_save_base"
.LASF113:
	.string	"rwlock_wrlock"
.LASF107:
	.string	"VALGRIND_PRINTF_BACKTRACE"
.LASF97:
	.string	"VG_USERREQ__DRD_ANNOTATE_HAPPENS_AFTER"
.LASF8:
	.string	"__quad_t"
.LASF77:
	.string	"VG_USERREQ__LOAD_PDB_DEBUGINFO"
.LASF62:
	.string	"VG_USERREQ__CREATE_MEMPOOL"
.LASF37:
	.string	"__pad1"
.LASF38:
	.string	"__pad2"
.LASF39:
	.string	"__pad3"
.LASF40:
	.string	"__pad4"
.LASF41:
	.string	"__pad5"
.LASF118:
	.string	"thread_count"
.LASF33:
	.string	"_vtable_offset"
.LASF117:
	.string	"argv"
.LASF73:
	.string	"VG_USERREQ__PRINTF_BACKTRACE_VALIST_BY_REF"
.LASF63:
	.string	"VG_USERREQ__DESTROY_MEMPOOL"
.LASF96:
	.string	"VG_USERREQ__DRD_ANNOTATE_HAPPENS_BEFORE"
.LASF119:
	.string	"s_rwlock"
.LASF114:
	.string	"rwlock_unlock"
.LASF124:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/drd/tests"
.LASF17:
	.string	"_IO_read_end"
.LASF71:
	.string	"VG_USERREQ__PRINTF_BACKTRACE"
.LASF5:
	.string	"short int"
.LASF66:
	.string	"VG_USERREQ__MEMPOOL_TRIM"
.LASF109:
	.string	"rwlock_init"
.LASF10:
	.string	"long int"
.LASF60:
	.string	"VG_USERREQ__RESIZEINPLACE_BLOCK"
.LASF87:
	.string	"VG_USERREQ__DRD_RECORD_LOADS"
.LASF91:
	.string	"VG_USERREQ__DRD_ANNOTATE_RWLOCK_CREATE"
.LASF90:
	.string	"VG_USERREQ__DRD_ANNOTATION_UNIMP"
.LASF102:
	.string	"_qzz_res"
.LASF65:
	.string	"VG_USERREQ__MEMPOOL_FREE"
.LASF103:
	.string	"vargs"
.LASF51:
	.string	"VG_USERREQ__RUNNING_ON_VALGRIND"
.LASF35:
	.string	"_lock"
.LASF3:
	.string	"long unsigned int"
.LASF31:
	.string	"_old_offset"
.LASF45:
	.string	"_IO_FILE"
.LASF61:
	.string	"VG_USERREQ__FREELIKE_BLOCK"
.LASF115:
	.string	"thread_func"
.LASF0:
	.string	"unsigned char"
.LASF48:
	.string	"_sbuf"
.LASF101:
	.string	"rwlock_t"
.LASF122:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF20:
	.string	"_IO_write_ptr"
.LASF110:
	.string	"rwlock_destroy"
.LASF53:
	.string	"VG_USERREQ__CLIENT_CALL0"
.LASF54:
	.string	"VG_USERREQ__CLIENT_CALL1"
.LASF55:
	.string	"VG_USERREQ__CLIENT_CALL2"
.LASF56:
	.string	"VG_USERREQ__CLIENT_CALL3"
.LASF75:
	.string	"VG_USERREQ__STACK_DEREGISTER"
.LASF9:
	.string	"__off_t"
.LASF4:
	.string	"signed char"
.LASF106:
	.string	"VALGRIND_PRINTF"
.LASF1:
	.string	"short unsigned int"
.LASF127:
	.string	"main"
.LASF125:
	.string	"__builtin_va_list"
.LASF112:
	.string	"__PRETTY_FUNCTION__"
.LASF67:
	.string	"VG_USERREQ__MOVE_MEMPOOL"
.LASF28:
	.string	"_chain"
.LASF30:
	.string	"_flags2"
.LASF104:
	.string	"_zzq_args"
.LASF32:
	.string	"_cur_column"
.LASF52:
	.string	"VG_USERREQ__DISCARD_TRANSLATIONS"
.LASF11:
	.string	"__off64_t"
.LASF43:
	.string	"_unused2"
.LASF22:
	.string	"_IO_buf_base"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
